package com.iamberry.wechat.core.entity.product;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 产品图文 实体类
 * 2016年4月24日
 * @author 穆再兴
 *
 */
public class ProductImageText implements java.io.Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = -7084090851833918802L;
	private Integer imagetextId;		
	private Integer imagetextProduectId;
	private String imagetextContext;
	private Date imagetextCreateDate;
	
	private List<ProductPicture> pictureList = new ArrayList<ProductPicture>();	//图片类信息
	
	
	public List<ProductPicture> getPictureList() {
		return pictureList;
	}
	public void setPictureList(List<ProductPicture> pictureList) {
		this.pictureList = pictureList;
	}
	public Integer getImagetextId() {
		return imagetextId;
	}
	public void setImagetextId(Integer imagetextId) {
		this.imagetextId = imagetextId;
	}
	public Integer getImagetextProduectId() {
		return imagetextProduectId;
	}
	public void setImagetextProduectId(Integer imagetextProduectId) {
		this.imagetextProduectId = imagetextProduectId;
	}
	public String getImagetextContext() {
		return imagetextContext;
	}
	public void setImagetextContext(String imagetextContext) {
		this.imagetextContext = imagetextContext;
	}
	public Date getImagetextCreateDate() {
		return imagetextCreateDate;
	}
	public void setImagetextCreateDate(Date imagetextCreateDate) {
		this.imagetextCreateDate = imagetextCreateDate;
	}
	@Override
	public String toString() {
		return "ProductImageText [imagetextId=" + imagetextId
				+ ", imagetextProduectId=" + imagetextProduectId
				+ ", imagetextContext=" + imagetextContext
				+ ", imagetextCreateDate=" + imagetextCreateDate + "]";
	}
	
}
